<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package bikashsoft charity Theme
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
global $bikashsoft_options;
$bikashsoft_settings = get_option( 'bikashsoft_options', $bikashsoft_options );?>
<header id="header">
  <div class="top_bar">
    <div class="container">
      <div class="row">
        <div class="col-md-6 col-sm-6">
          <div class="left">
            <ul>
           <?php if(!empty($bikashsoft_settings['header_email'])){?>
					<li><span class="fa fa-envelope-o"></span><?php echo $bikashsoft_settings['header_email']; ?></li>
					  <?php }else{?>
						<li><span class="fa fa-envelope-o"></span><?php _e('nepalinfo@gmail.com','bikashsoft'); ?></li>
					 <?php } ?>
              
            </ul>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="right">
            <ul>
             <?php if(!empty($bikashsoft_settings['customer_no'])){?>
							 <li><span class="fa fa-phone"></span><?php echo $bikashsoft_settings['customer_no']; ?></li>
					  <?php }else{?>
						 <li><span class="fa fa-phone"></span><?php _e('+97798xxxxxxx','bikashsoft'); ?></li>
					 <?php } ?>
             
             
            </ul>
            <div class="social_meida"> <?php
				
				if($bikashsoft_settings['show_social_header'] == 0){
				do_action( 'bikashsoft_social_links' ); 
				}?> </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="middle">
    <div class="container">
      <div class="row">
        <div class="col-md-4 col-sm-4">
          <div class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>">				
				<?php if ( get_header_image() ) { ?>
					<img src="<?php header_image(); ?>" alt="<?php bloginfo('name') ?>">
				<?php }else{ ?>
					<?php echo bloginfo('title'); ?>
					
				<?php } ?>		
				</a></div>
        </div>
        <div class="col-md-8 col-sm-8">
          <div class="navbar navbar-default " role="navigation" id="fixed">
            <div class="navbar-header"> <span class="menu_responsive">Menu</span>
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
            </div>
            <?php if ( has_nav_menu( 'primary' ) ) : ?>
                           <div class="collapse navbar-collapse" aria-label="<?php _e( 'Primary Menu', 'bikashsoft' ); ?>">

                        
                         <?php

       wp_nav_menu( array(

                'menu'              =>'primary',

                'theme_location'    => 'primary',

                'depth'             => 4,

                'container'         => '',

                'container_class'   => '',

                'menu_class'        => 'nav navbar-nav pull-right',

                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                'walker'            => new wp_bootstrap_navwalker())

            );

        ?>  
            
                    </div><!--/.nav-collapse -->
               <?php endif; ?>
            <!--/.nav-collapse --> 
          </div>
        </div>
      </div>
    </div>
  </div>
</header>
<div class="slider">
         <?php 
		if(is_home() || is_front_page() ){
			do_action( 'bikashsoft_bxslider' ); 
		}?>
                 
         
        </div>