<?php
/**
 * Bikashsoft Theme Options
 *
 * @package bikashsoft
 */

if ( is_admin() ) : // Load only if we are viewing an admin page

function bikashsoft_admin_scripts() {
	wp_enqueue_media();
	wp_enqueue_script( 'bikashsoft_custom_js', get_template_directory_uri().'/inc/admin-panel/js/custom.js', array( 'jquery' ) );
	wp_enqueue_script( 'of-media-uploader', get_template_directory_uri().'/inc/admin-panel/js/media-uploader.js', array( 'jquery' ) );
	
	wp_enqueue_style( 'bikashsoft_admin_style',get_template_directory_uri().'/inc/admin-panel/css/admin.css', '1.0', 'screen' );

}
add_action('admin_print_styles-appearance_page_theme_options', 'bikashsoft_admin_scripts');



$bikashsoft_options = array(

	'bikashsoft_favicon'=> '',
	'header_text'=>__('Call us : 984187523XX','bikashsoft'),
	'show_search'=> true,
	
	'welcome_post' => '',
	'welcome_post_readmore' => __('Read More','bikashsoft'),
	'welcome_post_char' => '650',
	'show_fontawesome' => false,
    'big_icons' => false,
	'service_block1' => '',
	'service_block2' => '',
	'service_block3' => '',
	'service_block_readmore' => __('Read More','bikashsoft'),
	'service_block1_icon' => '',
	'service_block2_icon' => '',
	'service_block3_icon' => '',
	'how_to_help_post' => '',
	'how_to_help_post_readmore' => __('Read More','bikashsoft'),
	'how_to_help_post_char' => '250',
	'become_volunteer_post' => '',
	'become_volunteer_post_readmore' => __('Sign Up Today','bikashsoft'),
	'become_volunteer_post_char' => '650',
	'donate_us_post' => '',
	'donate_us_post_readmore' => __('Donate Now','bikashsoft'),
	'donate_us_post_char' => '650',
	'awareness_post' => '',
	'awareness_post_readmore' => __('Donate Now','bikashsoft'),
	'awareness_post_char' => '650',
	
	'show_project_number' => '3',
	'project_cat' => '',
	'testimonial_cat' => '',
	'portfolio_cat' => '',
	'footer_copyright' => get_bloginfo('name'),

	'show_slider' => 'yes',
	'slider_show_pager' => 'yes1',
	'slider_show_controls' => 'yes2',
	'slider_mode' => 'slide',
	'slider_auto' => 'yes3',
	'slider_speed' => '500',
	'slider_caption'=>'yes4',
	'slider_pause' => '4000',

	'slider1'=>'',
	'slider2'=>'',
	'slider3'=>'',
	'slider4'=>'',

	'leftsidebar_show_latest_projects'=>true,
	'leftsidebar_show_testimonials'=>true,
	'rightsidebar_show_latest_projects'=>true,
	'rightsidebar_show_testimonials'=>true,
	
	'bikashsoft_facebook' => '',
	'bikashsoft_twitter' => '',
	'bikashsoft_gplus' => '',
	'bikashsoft_youtube' => '',
	'bikashsoft_pinterest' => '',
	'bikashsoft_linkedin' => '',
	'bikashsoft_flickr' => '',
	'bikashsoft_vimeo' => '',
	'bikashsoft_stumbleupon' => '',
	'bikashsoft_instagram' => '',
	'bikashsoft_sound_cloud' => '',
	'bikashsoft_skype' => '',
	'bikashsoft_rss' => '',
	'bikashsoft_tumblr' => '',
	'bikashsoft_myspace' =>'',
	'show_social_header'=>'',

	'bikashsoft_home_page_layout' => 'Layout2',
    'bikashsoft_webpage_layout' => 'Fullwidth',
    'gallery_code' => '',

    'slider_options' => 'single_post_slider',
    'slider_cat' => '',
    'view_all_text' =>__('View All','bikashsoft'),
    'custom_css' => '',
    'featured_bar' => false,

   
    'welcome_post_content' => false,
    'show_projectdate' => true,
    'disable_project' => false,
    'bikashsoft_home_template' => 'template_two',
    'template_option_selected' =>'yes'

);


add_action( 'admin_init', 'bikashsoft_register_settings' );
add_action( 'admin_menu', 'bikashsoft_theme_options' );

function bikashsoft_register_settings() {
	register_setting( 'bikashsoft_theme_options', 'bikashsoft_options', 'bikashsoft_validate_options' );
}

function bikashsoft_theme_options() {
	// Add theme options page to the addmin menu
	add_theme_page( __( 'Theme Options', 'bikashsoft' ), __( 'Theme Options', 'bikashsoft' ), 'edit_theme_options', 'theme_options', 'bikashsoft_theme_options_page' );
}


// Store Posts in array
$bikashsoft_postlist[0] = array(
	'value' => 0,
	'label' =>  __('--choose--','bikashsoft')
);
$arg = array('posts_per_page'   => -1);
$bikashsoft_posts = get_posts($arg);
foreach( $bikashsoft_posts as $bikashsoft_post ) :
	$bikashsoft_postlist[$bikashsoft_post->ID] = array(
		'value' => $bikashsoft_post->ID,
		'label' => $bikashsoft_post->post_title
	);
endforeach;

// Store Pages in array
$bikashsoft_pagelist[0] = array(
	'value' => 0,
	'label' => __('--choose--','bikashsoft')
);
$arg = array('posts_per_page'   => -1);
$bikashsoft_pages = get_pages($arg);
foreach( $bikashsoft_pages as $bikashsoft_page ) :
	$bikashsoft_pagelist[$bikashsoft_page->ID] = array(
		'value' => $bikashsoft_page->ID,
		'label' => $bikashsoft_page->post_title
	);
endforeach;

$bikashsoft_pagelist1 = array();
foreach( $bikashsoft_pages as $bikashsoft_page ) :
	$bikashsoft_pagelist1[$bikashsoft_page->ID] = array(
		'value' => $bikashsoft_page->ID,
		'label' => $bikashsoft_page->post_title
	);
endforeach;


$bikashsoft_postpagelist = array_merge($bikashsoft_postlist, $bikashsoft_pagelist1);

// Store categories in array
$bikashsoft_catlist[0] = array(
	'value' => 0,
	'label' => __('--choose--','bikashsoft')
);
$arg1 = array(
	'hide_empty' => 0,
	'orderby' => 'name',
  	'parent' => 0,
  	);
$bikashsoft_cats = get_categories($arg1);

foreach( $bikashsoft_cats as $bikashsoft_cat ) :
	$bikashsoft_catlist[$bikashsoft_cat->cat_ID] = array(
		'value' => $bikashsoft_cat->cat_ID,
		'label' => $bikashsoft_cat->cat_name
	);
endforeach;
wp_reset_postdata();

// Store slider setting in array
$bikashsoft_slider = array(
	'yes' => array(
		'value' => 'yes',
		'label' => __('show','bikashsoft')
	),
	'no' => array(
		'value' => 'no',
		'label' => __('hide','bikashsoft')
	),
);

$bikashsoft_slider_show_pager = array(
	'yes1' => array(
		'value' => 'yes1',
		'label' => __('yes','bikashsoft')
	),
	'no1' => array(
		'value' => 'no1',
		'label' => __('no','bikashsoft')
	),
);

$bikashsoft_slider_show_controls = array(
	'yes2' => array(
		'value' => 'yes2',
		'label' => __('yes','bikashsoft')
	),
	'no2' => array(
		'value' => 'no2',
		'label' => __('no','bikashsoft')
	),
);

$bikashsoft_slider_auto = array(
	'yes3' => array(
		'value' => 'yes3',
		'label' => __('yes','bikashsoft')
	),
	'no3' => array(
		'value' => 'no3',
		'label' => __('no','bikashsoft')
	),
);

$bikashsoft_slider_mode = array(
	'fade' => array(
		'value' => 'fade',
		'label' => __('fade','bikashsoft')
	),
	'slide' => array(
		'value' => 'slide',
		'label' => __('slide','bikashsoft')
	),
);

$bikashsoft_slider_caption = array(
	'yes4' => array(
		'value' => 'yes4',
		'label' => __('show','bikashsoft')
	),
	'no4' => array(
		'value' => 'no4',
		'label' => __('hide','bikashsoft')
	),
);


// Function to generate options page
function bikashsoft_theme_options_page() {
	global $bikashsoft_options, $bikashsoft_postlist, $bikashsoft_postpagelist, $bikashsoft_slider, $bikashsoft_slider_show_pager, $bikashsoft_slider_show_controls, $bikashsoft_slider_mode, $bikashsoft_slider_auto, $bikashsoft_slider_caption, $bikashsoft_catlist;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false; // This checks whether the form has just been submitted. ?>

	<div class="wrap" id="optionsframework-wrap">

	<div class="bikashsoft-header">
		<div class="bikashsoft-logo">
		<img src="<?php echo get_template_directory_uri();?>/inc/admin-panel/images/logo.png" alt="AccessPress Lite" />
		</div>

		<div class="bikashsoft_title">BIKASHSOFT THEME OPTIONS</div>
	</div>

	<div class="clear"></div>

	<?php 	if ( false !== $_REQUEST['settings-updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Options saved' , 'bikashsoft' ); ?></strong></p></div>
	<?php endif; // If the form has just been submitted, this shows the notification ?>

	<?php // Shows all the tabs of the theme options ?>
	<div class="nav-tab-wrapper">
	<a id="options-group-1-tab" class="nav-tab nav-tab-active" href="#options-group-1"><?php _e('Basic Settings','bikashsoft'); ?></a>
    <a id="options-group-2-tab" class="nav-tab" href="#options-group-2"><?php _e('Home Page','bikashsoft'); ?></a>
	<a id="options-group-3-tab" class="nav-tab" href="#options-group-3"><?php _e('Slider Settings','bikashsoft'); ?></a>
	<a id="options-group-4-tab" class="nav-tab" href="#options-group-4"><?php _e('Sidebar','bikashsoft'); ?></a>
	<a id="options-group-5-tab" class="nav-tab" href="#options-group-5"><?php _e('Social Links','bikashsoft'); ?></a>
	<a id="options-group-6-tab" class="nav-tab" href="#options-group-6"><?php _e('Tools','bikashsoft'); ?></a>
	</div>

	<div id="optionsframework-metabox" class="metabox-holder clearfix">
		<div id="optionsframework" class="postbox">
			<form id="form_options" method="POST" action="options.php" enctype="multipart/form-data">

			<?php $settings = get_option( 'bikashsoft_options', $bikashsoft_options ); ?>
			
			<?php settings_fields( 'bikashsoft_theme_options' );
			/* This function outputs some hidden fields required by the form,
			including a nonce, a unique number used to ensure the form has been submitted from the admin page
			and not somewhere else, very important for security */ ?>

			<!-- Basic Settings -->
			<div id="options-group-1" class="group">
			<h3><?php _e('Basic Settings','bikashsoft'); ?></h3>
				<table class="form-table">
                    
					

					
					<tr>
						<th><label for="upload_log"><?php _e('Upload Logo','bikashsoft'); ?></label></th>
						<td>
							<a class="button" target="_blank" href="<?php echo admin_url('/themes.php?page=custom-header'); ?>"><?php _e('Upload','bikashsoft'); ?></a>
						</td>
					</tr>
<tr>
					<th scope="row"><label for="header_email"><?php _e('Header Email','bikashsoft'); ?></label></th>
					<td>
					<textarea id="header_text" name="bikashsoft_options[header_email]" rows="5" cols="30" placeholder="<?php _e('Example.. Call Us : 985XXX9856XX','bikashsoft')?>"><?php echo esc_attr($settings['header_email']); ?></textarea><br />
                    <em class="f13"><?php _e('Html content allowed','bikashsoft'); ?></em> </td>
                    </tr>
					<tr>
					<th scope="row"><label for="customer_no"><?php _e('Customer Number','bikashsoft'); ?></label></th>
					<td>
					<textarea id="header_text" name="bikashsoft_options[customer_no]" rows="5" cols="30" placeholder="<?php _e('Example.. Call Us : 985XXX9856XX','bikashsoft')?>"><?php echo esc_attr($settings['customer_no']); ?></textarea><br />
                    <em class="f13"><?php _e('Html content allowed','bikashsoft'); ?></em> </td>
                    </tr>

					
					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>

					<tr><th scope="row"><label for="project_cat"><?php _e('Select the category to display as projects','bikashsoft'); ?></label></th>
					<td>
					<select id="project_cat" name="bikashsoft_options[project_cat]">
					<?php
					foreach ( $bikashsoft_catlist as $single_cat ) :
						$label = $single_cat['label']; ?>
						<option value="<?php echo esc_attr($single_cat['value']) ?>" <?php selected( $single_cat['value'], $settings['project_cat'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php 
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr><th scope="row"><label for="testimonial_cat"><?php _e('Select the category to display as Testimonials','bikashsoft'); ?></label></th>
					<td>
					<select id="testimonial_cat" name="bikashsoft_options[testimonial_cat]">
					<?php
					foreach ( $bikashsoft_catlist as $single_cat ) :
						$label = $single_cat['label']; ?>
						<option value="<?php echo esc_attr($single_cat['value']) ?>" <?php selected( $single_cat['value'], $settings['testimonial_cat'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php 
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr><th scope="row"><label for="portfolio_cat"><?php _e('Select the category to display as Portfolio/Products','bikashsoft'); ?></label></th>
					<td>
					<select id="portfolio_cat" name="bikashsoft_options[portfolio_cat]">
					<?php
					foreach ( $bikashsoft_catlist as $single_cat ) :
						$label = $single_cat['label']; ?>
						<option value="<?php echo esc_attr($single_cat['value']) ?>" <?php selected( $single_cat['value'], $settings['portfolio_cat'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php 
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<td colspan="2">
							<em><?php _e('You can show these categories in the menu by configuring','bikashsoft'); ?> <a target="_blank" href="<?php echo admin_url('nav-menus.php'); ?>">Menus</a> <?php _e('Page.','bikashsoft'); ?></em>
						</td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    
                    

					<tr>
    					<th scope="row"><label for="footer_copyright"><?php _e('Footer Copyright Text','bikashsoft'); ?></label></th>
    					<td>
    					   <input id="footer_copyright" name="bikashsoft_options[footer_copyright]" type="text" value="<?php echo esc_attr($settings['footer_copyright']); ?>" />
    					</td>
					</tr>
                    <tr>
    					<th scope="row"><label for="design_by"><?php _e('Designed By','bikashsoft'); ?></label></th>
    					<td>
    					   <input id="design_by" name="bikashsoft_options[design_by]" type="text" value="<?php echo esc_attr($settings['design_by']); ?>" />
    					</td>
					</tr>
				</table>
			</div>
            
            <!-- Home page Settings -->
			<div id="options-group-2" class="group" style="display: none;">
			<h3><?php _e('Home Page Settings','bikashsoft'); ?></h3> 
				<table class="form-table">
                    
                    

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>

					<tr><th scope="row"><label for="welcome_post"><?php _e('Welcome Post','bikashsoft'); ?></label></th>
					<td>
					<select id="welcome_post" name="bikashsoft_options[welcome_post]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['welcome_post'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<th><label for="full_content"><?php _e('Show Full Content?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="full_content" name="bikashsoft_options[welcome_post_content]" value="1" <?php checked( true, $settings['welcome_post_content'] ); ?> />
							<label for="full_content"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>

					<tr>
						<th><label for="welcome_post_char"><?php _e('Welcome Post Excerpt Character','bikashsoft'); ?></label></th>
						<td><input id="welcome_post_char" type="text" name="bikashsoft_options[welcome_post_char]" value="<?php if (isset($settings['welcome_post_char'])){ echo esc_attr($settings['welcome_post_char']); } ?>"> <?php _e('Characters','bikashsoft'); ?></td>
					</tr>

					<tr>
						<th><label for="welcome_post_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="welcome_post_readmore" type="text" name="bikashsoft_options[welcome_post_readmore]" value="<?php if (isset($settings['welcome_post_readmore'])){ echo esc_attr($settings['welcome_post_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    
					<tr><th scope="row"><label for="how_to_help_post"><?php _e('How You Can Help?','bikashsoft'); ?></label></th>
					<td>
					<select id="how_to_help_post" name="bikashsoft_options[how_to_help_post]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['how_to_help_post'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<th><label for="full_content"><?php _e('Show Full Content?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="full_content" name="bikashsoft_options[how_to_help_post_content]" value="1" <?php checked( true, $settings['how_to_help_post_content'] ); ?> />
							<label for="full_content"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>

					<tr>
						<th><label for="how_to_help_post_char"><?php _e('How You Can Help Excerpt Character','bikashsoft'); ?></label></th>
						<td><input id="how_to_help_post_char" type="text" name="bikashsoft_options[how_to_help_post_char]" value="<?php if (isset($settings['how_to_help_post_char'])){ echo esc_attr($settings['how_to_help_post_char']); } ?>"> <?php _e('Characters','bikashsoft'); ?></td>
					</tr>

					<tr>
						<th><label for="how_to_help_post_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="how_to_help_post_readmore" type="text" name="bikashsoft_options[how_to_help_post_readmore]" value="<?php if (isset($settings['how_to_help_post_readmore'])){ echo esc_attr($settings['how_to_help_post_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    
					<tr><th scope="row"><label for="become_volunteer_post"><?php _e('Become a Volunteer','bikashsoft'); ?></label></th>
					<td>
					<select id="become_volunteer_post" name="bikashsoft_options[become_volunteer_post]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['become_volunteer_post'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<th><label for="full_content"><?php _e('Show Full Content?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="full_content" name="bikashsoft_options[become_volunteer_post_content]" value="1" <?php checked( true, $settings['become_volunteer_post_content'] ); ?> />
							<label for="full_content"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>

					<tr>
						<th><label for="become_volunteer_post_char"><?php _e('Become a Volunteer Excerpt Character','bikashsoft'); ?></label></th>
						<td><input id="become_volunteer_post_char" type="text" name="bikashsoft_options[become_volunteer_post_char]" value="<?php if (isset($settings['become_volunteer_post_char'])){ echo esc_attr($settings['become_volunteer_post_char']); } ?>"> <?php _e('Characters','bikashsoft'); ?></td>
					</tr>

					<tr>
						<th><label for="become_volunteer_post_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="become_volunteer_post_readmore" type="text" name="bikashsoft_options[become_volunteer_post_readmore]" value="<?php if (isset($settings['become_volunteer_post_readmore'])){ echo esc_attr($settings['become_volunteer_post_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    
					<tr><th scope="row"><label for="donate_us_post"><?php _e('Donate US','bikashsoft'); ?></label></th>
					<td>
					<select id="donate_us_post" name="bikashsoft_options[donate_us_post]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['donate_us_post'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<th><label for="full_content"><?php _e('Show Full Content?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="full_content" name="bikashsoft_options[donate_us_post_content]" value="1" <?php checked( true, $settings['donate_us_post_content'] ); ?> />
							<label for="full_content"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>

					<tr>
						<th><label for="donate_us_post_char"><?php _e('Donate Us Excerpt Character','bikashsoft'); ?></label></th>
						<td><input id="donate_us_post_char" type="text" name="bikashsoft_options[donate_us_post_char]" value="<?php if (isset($settings['donate_us_post_char'])){ echo esc_attr($settings['donate_us_post_char']); } ?>"> <?php _e('Characters','bikashsoft'); ?></td>
					</tr>

					<tr>
						<th><label for="donate_us_post_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="donate_us_post_readmore" type="text" name="bikashsoft_options[donate_us_post_readmore]" value="<?php if (isset($settings['donate_us_post_readmore'])){ echo esc_attr($settings['donate_us_post_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    <tr><th scope="row"><label for="awareness_post"><?php _e('Awarness Campaigns','bikashsoft'); ?></label></th>
					<td>
					<select id="awareness_post" name="bikashsoft_options[awareness_post]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['awareness_post'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
						<th><label for="full_content"><?php _e('Show Full Content?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="full_content" name="bikashsoft_options[awareness_post_content]" value="1" <?php checked( true, $settings['awareness_post_content'] ); ?> />
							<label for="full_content"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>

					<tr>
						<th><label for="awareness_post_char"><?php _e('Awareness Campaigns Excerpt Character','bikashsoft'); ?></label></th>
						<td><input id="awareness_post_char" type="text" name="bikashsoft_options[awareness_post_char]" value="<?php if (isset($settings['awareness_post_char'])){ echo esc_attr($settings['awareness_post_char']); } ?>"> <?php _e('Characters','bikashsoft'); ?></td>
					</tr>

					<tr>
						<th><label for="awareness_post_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="awareness_post_readmore" type="text" name="bikashsoft_options[awareness_post_readmore]" value="<?php if (isset($settings['awareness_post_readmore'])){ echo esc_attr($settings['awareness_post_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>

					<tr>
						<th><label for="show_projectdate"><?php _e('Disable project Section?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="disable_project" name="bikashsoft_options[disable_project]" value="1" <?php checked( true, $settings['disable_project'] ); ?> />
							<label for="disable_project"><?php _e('Check to Disable','bikashsoft'); ?></label><br />
							<em class="f13"><?php _e('The welcome post will cover the full width if disabled.','bikashsoft'); ?></em>
						</td>
					</tr>

					<tr>
						<th><label for="show_project_number"><?php _e('No of Items to display in project/News Category beside Welcome Post','bikashsoft'); ?></label></th>
						<td><input id="show_project_number" type="text" name="bikashsoft_options[show_project_number]" value="<?php if (isset($settings['show_project_number'])){ echo esc_attr($settings['show_project_number']); } ?>"></td>
					</tr>

					<tr>
						<th><label for="show_projectdate"><?php _e('Show project Date?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="show_projectdate" name="bikashsoft_options[show_projectdate]" value="1" <?php checked( true, $settings['show_projectdate'] ); ?> />
							<label for="show_projectdate"><?php _e('Check to enable','bikashsoft'); ?></label>
						</td>
					</tr>

					<tr>
						<td colspan="2"><em><?php _e('To replace the project section in homepage, Go to', 'bikashsoft'); ?> <a href="<?php echo admin_url('widgets.php'); ?>" target="blank"><?php _e('widget','bikashsoft'); ?></a> <?php _e('and drag widget item into the project Sidebar Widget area.', 'bikashsoft' ); ?></em></td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>

					<tr>
						<th><label for="show_fontawesome"><?php _e('Show Font Awesome icon for Service Block?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="show_fontawesome" name="bikashsoft_options[show_fontawesome]" value="1" <?php checked( true, $settings['show_fontawesome'] ); ?> />
							<label for="show_fontawesome"><?php _e('Check to enable','bikashsoft'); ?></label><br />
                            <em class="f13"><?php _e('(If enabled the featured image will be replaced by Font Awesome Icon. For lists of icons click','bikashsoft'); ?> <a href="<?php echo esc_url('http://fontawesome.io/icons/'); ?>" target="_blank"><?php _e('here','bikashsoft'); ?></a>)</em>
						</td>
					</tr>
                    
                    <tr>
						<th><label for="big_icons"><?php _e('Show Big Font Awesome icon with center aligned','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="big_icons" name="bikashsoft_options[big_icons]" value="1" <?php checked( true, $settings['big_icons'] ); ?> />
							<label for="big_icons"><?php _e('Check to enable','bikashsoft'); ?></label><br />
						</td>
					</tr>
                    
					<tr><th scope="row"><label for="service_block1"><?php _e('Service Block 1','bikashsoft'); ?></label></th>
					<td>
					<select id="service_block1" name="bikashsoft_options[service_block1]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['service_block1'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php 
					endforeach;
					?>
					</select>
					<input id="service_block1_icon" name="bikashsoft_options[service_block1_icon]" type="text" value="<?php echo esc_attr($settings['service_block1_icon']); ?>" placeholder="<?php _e('Font Awesome icon name','bikashsoft'); ?>" /><em class="f13">&nbsp;&nbsp;<?php _e('Example:','bikashsoft'); ?> fa-bell</em>
					</td>
					</tr>

					<tr><th scope="row"><label for="service_block2"><?php _e('Service Block 2','bikashsoft'); ?></label></th>
					<td>
					<select id="service_block2" name="bikashsoft_options[service_block2]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['service_block2'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php
					endforeach;
					?>
					</select>
					<input id="service_block2_icon" name="bikashsoft_options[service_block2_icon]" type="text" value="<?php echo esc_attr($settings['service_block2_icon']); ?>" placeholder="<?php _e('Font Awesome icon name','bikashsoft'); ?>" /><em class="f13">&nbsp;&nbsp;<?php _e('Example:','bikashsoft'); ?> fa-bell</em>
					</td>
					</tr>

					<tr><th scope="row"><label for="service_block3"><?php _e('Service Block 3','bikashsoft'); ?></label></th>
					<td>
					<select id="service_block3" name="bikashsoft_options[service_block3]">
					<?php
					foreach ( $bikashsoft_postpagelist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']) ?>" <?php selected( $single_post['value'], $settings['service_block3'] ); ?>><?php echo esc_attr($label); ?></option>
					<?php 
					endforeach;
					?>
					</select>
					<input id="service_block3_icon" name="bikashsoft_options[service_block3_icon]" type="text" value="<?php echo esc_attr($settings['service_block3_icon']); ?>" placeholder="<?php _e('Font Awesome icon name','bikashsoft'); ?>" /><em class="f13">&nbsp;&nbsp;<?php _e('Example:','bikashsoft'); ?> fa-bell</em>
					</td>
					</tr>

					<tr>
						<th><label for="service_block_readmore"><?php _e('Read More Text','bikashsoft'); ?></label></th>
						<td><input id="service_block_readmore" type="text" name="bikashsoft_options[service_block_readmore]" value="<?php if ( isset($settings['service_block_readmore'])){echo esc_attr($settings['service_block_readmore']); } ?>"><br /><em class="f13"><?php _e('Leave blank if you don\'t want to show read more','bikashsoft'); ?></em></td>
					</tr>
                    
                    <tr><td colspan="2" class="seperator">&nbsp;</td></tr>
                    
                    
                    
                    

                    

					

					

					
                </table>
            </div>


			<!-- Slider Settings-->
			<div id="options-group-3" class="group" style="display: none;">
			<h3><?php _e('Home Page Slider Settings','bikashsoft'); ?></h3>
				<table class="form-table">
				<tbody>
					<tr class="slider-options">
						<th>
							<?php _e('Show','bikashsoft'); ?>
						</th>
						<td>
						<?php 
						if(!isset($settings['slider_options'])){
							$settings['slider_options']='single_post_slider';
						}
						?>
						<label class="checkbox" id="single_post_slider">
							<input value="single_post_slider" type="radio" name="bikashsoft_options[slider_options]" <?php checked($settings['slider_options'],'single_post_slider'); ?> ><?php _e('Single Posts as a Slider','bikashsoft'); ?>
						</label>
						&nbsp;&nbsp;&nbsp;&nbsp;
						<label class="checkbox" id="cat_post_slider">
							<input value="cat_post_slider" name="bikashsoft_options[slider_options]" type="radio" <?php checked($settings['slider_options'],'cat_post_slider'); ?> ><?php _e('Category Posts as a Slider','bikashsoft'); ?>
						</label>
						</td>
					</tr>

					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
					</tbody>

					<tbody class="post-as-slider">
					<tr>
						<td colspan="2"><em class="f13"><?php _e('Select the post that you want to display as a Slider','bikashsoft'); ?></em></td>
					</tr>

					<tr>
					
					<th scope="row"><label for="slider1"><?php _e('Silder 1','bikashsoft'); ?></label></th>
					<td>
					<select id="slider1" name="bikashsoft_options[slider1]">
					<?php
					foreach ( $bikashsoft_postlist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']); ?>" <?php selected($single_post['value'] , $settings['slider1'] ) ?>><?php echo esc_attr($label); ?></option>
					<?php
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr><th scope="row"><label for="slider2"><?php _e('Silder 2','bikashsoft'); ?></label></th>
					<td>
					<select id="slider2" name="bikashsoft_options[slider2]">
					<?php
					foreach ( $bikashsoft_postlist as $single_post ) :
						$label = $single_post['label']; ?>
                        <option value="<?php echo esc_attr($single_post['value']); ?>" <?php selected($single_post['value'] , $settings['slider2'] ) ?>><?php echo esc_attr($label); ?></option>
					<?php
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr><th scope="row"><label for="slider3"><?php _e('Silder 3','bikashsoft'); ?></label></th>
					<td>
					<select id="slider3" name="bikashsoft_options[slider3]">
					<?php
					foreach ( $bikashsoft_postlist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']); ?>" <?php selected($single_post['value'] , $settings['slider3'] ) ?>><?php echo esc_attr($label); ?></option>
					<?php
					endforeach;
					?>
					</select>
					</td>
					</tr>

					<tr>
					<th scope="row"><label for="slider4"><?php _e('Silder 4','bikashsoft'); ?></label></th>
					<td>
					<select id="slider4" name="bikashsoft_options[slider4]">
					<?php
					foreach ( $bikashsoft_postlist as $single_post ) :
						$label = $single_post['label']; ?>
						<option value="<?php echo esc_attr($single_post['value']); ?>" <?php selected($single_post['value'] , $settings['slider4'] ) ?>><?php echo esc_attr($label); ?></option>
					<?php
					endforeach;
					?>
					</select>
					</td>
					</tr>
					</tbody>

					<tbody class="cat-as-slider">
					<tr>
					<th><?php _e('Select the Category','bikashsoft'); ?></th>
					<td>
					<?php 
					if(!isset($settings['slider_cat'])){
						$settings['slider_cat']=0;
					}
					?>
						<select id="slider_cat" name="bikashsoft_options[slider_cat]">
						<?php
						foreach ( $bikashsoft_catlist as $single_cat ) :
							$label = $single_cat['label']; ?>
							<option value="<?php echo esc_attr($single_cat['value']) ?>" <?php selected( $single_cat['value'] , $settings['slider_cat'] )  ?>><?php echo esc_attr($label); ?></option>
						<?php
						endforeach;
						?>
					</select>
					</td>
					</tr>
					</tbody>
					
					<tbody>
					<tr><td colspan="2" class="seperator">&nbsp;</td></tr>
					
					<tr>
						<td colspan="2"><em class="f13"><?php _e('Adjust the slider as per your need.','bikashsoft'); ?></em></td>
					</tr>

					<tr><th scope="row"><?php _e('Show Slider','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider as $slider ) : ?>
					<input type="radio" id="<?php echo esc_attr($slider['value']); ?>" name="bikashsoft_options[show_slider]" value="<?php echo esc_attr($slider['value']); ?>" <?php checked( $settings['show_slider'], $slider['value'] ); ?> />
					<label for="<?php echo esc_attr($slider['value']); ?>"><?php echo esc_attr($slider['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Show Slider Pager (Navigation dots)','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider_show_pager as $slider_pager ) : ?>
					<input type="radio" id="<?php echo esc_attr($slider_pager['value']); ?>" name="bikashsoft_options[slider_show_pager]" value="<?php echo esc_attr($slider_pager['value']); ?>" <?php checked( $settings['slider_show_pager'], $slider_pager['value'] ); ?> />
					<label for="<?php echo esc_attr($slider_pager['value']); ?>"><?php echo esc_attr($slider_pager['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Show Slider Controls (Arrows)','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider_show_controls as $slider_controls ) : ?>
					<input type="radio" id="<?php echo esc_attr($slider_controls['value']); ?>" name="bikashsoft_options[slider_show_controls]" value="<?php echo esc_attr($slider_controls['value']); ?>" <?php checked( $settings['slider_show_controls'], $slider_controls['value'] ); ?> />
					<label for="<?php echo esc_attr($slider_controls['value']); ?>"><?php echo esc_attr($slider_controls['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Slider Transition - fade/slide','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider_mode as $slider_modes) : ?>
					<input type="radio" id="<?php echo $slider_modes['value']; ?>" name="bikashsoft_options[slider_mode]" value="<?php echo esc_attr($slider_modes['value']); ?>" <?php checked( $settings['slider_mode'], $slider_modes['value'] ); ?> />
					<label for="<?php echo esc_attr($slider_modes['value']); ?>"><?php echo esc_attr($slider_modes['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Slider auto Transition','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider_auto as $slider_autos) : ?>
					<input type="radio" id="<?php echo esc_attr($slider_autos['value']); ?>" name="bikashsoft_options[slider_auto]" value="<?php echo esc_attr($slider_autos['value']); ?>" <?php checked( $settings['slider_auto'], $slider_autos['value'] ); ?> />
					<label for="<?php echo esc_attr($slider_autos['value']); ?>"><?php echo esc_attr($slider_autos['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Slider Speed','bikashsoft'); ?></th>
					<td>
					<input id="slider_speed" name="bikashsoft_options[slider_speed]" type="text" value="<?php echo esc_attr($settings['slider_speed']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Slider Pause','bikashsoft'); ?></th>
					<td>
					<input id="slider_pause" name="bikashsoft_options[slider_pause]" type="text" value="<?php echo esc_attr($settings['slider_pause']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><?php _e('Show Slider Captions','bikashsoft'); ?></th>
					<td>
					<?php foreach( $bikashsoft_slider_caption as $slider_captions) : ?>
					<input type="radio" id="<?php echo esc_attr($slider_captions['value']); ?>" name="bikashsoft_options[slider_caption]" value="<?php echo esc_attr($slider_captions['value']); ?>" <?php checked( $settings['slider_caption'], $slider_captions['value'] ); ?> />
					<label for="<?php echo esc_attr($slider_captions['value']); ?>"><?php echo esc_attr($slider_captions['label']); ?></label><br />
					<?php endforeach; ?>
					</td>
					</tr>
					</tbody>
				</table>
			</div>

			<!-- Slider Settings-->
			<div id="options-group-4" class="group" style="display: none;">
			<h3><?php _e('Sidebar Settings','bikashsoft'); ?></h3>
				<table class="form-table">
				<tr>
					<td>
						<table>
						<tbody>
						<tr><th colspan="2" class="line"><?php _e('Left Sidebar Options','bikashsoft'); ?></th></tr>
						<tr>
							<th><label for="leftsidebar_show_latest_projects"><?php _e('Show Latest projects?','bikashsoft'); ?></label></th>
							<td>
							<input type="checkbox" id="leftsidebar_show_latest_projects" name="bikashsoft_options[leftsidebar_show_latest_projects]" value="1" <?php checked( true, $settings['leftsidebar_show_latest_projects'] ); ?> />
							<label for="leftsidebar_show_latest_projects"><?php _e('Check to enable','bikashsoft'); ?></label>
							</td>
						</tr>

						<tr>
							<th><label for="leftsidebar_show_testimonials"><?php _e('Show Testimonials?','bikashsoft'); ?></label></th>
							<td>
							<input type="checkbox" id="leftsidebar_show_testimonials" name="bikashsoft_options[leftsidebar_show_testimonials]" value="1" <?php checked( true, $settings['leftsidebar_show_testimonials'] ); ?> />
							<label for="leftsidebar_show_testimonials"><?php _e('Check to enable','bikashsoft'); ?></label>
							</td>
						</tr>

						<tr>
							<th colspan="2"><?php _e('To add Custom widget in Left Sidebar, Click','bikashsoft'); ?> <a href="<?php echo admin_url('/widgets.php')?>" target="_blank"><?php _e('here','bikashsoft'); ?></a></th>
						</tr>
						</table>

					</td>
					<td>
						<table>
						<tr><th colspan="2" class="line"><?php _e('Right Sidebar Options','bikashsoft'); ?></th></tr>
						<tr>
							<th><label for="rightsidebar_show_latest_projects"><?php _e('Show Latest projects?','bikashsoft'); ?></label></th>
							<td>
							<input type="checkbox" id="rightsidebar_show_latest_projects" name="bikashsoft_options[rightsidebar_show_latest_projects]" value="1" <?php checked( true, $settings['rightsidebar_show_latest_projects'] ); ?> />
							<label for="rightsidebar_show_latest_projects"><?php _e('Check to enable','bikashsoft'); ?></label>
							</td>
						</tr>

						<tr>
							<th><label for="rightsidebar_show_testimonials"><?php _e('Show Testimonials?','bikashsoft'); ?></label></th>
							<td>
							<input type="checkbox" id="rightsidebar_show_testimonials" name="bikashsoft_options[rightsidebar_show_testimonials]" value="1" <?php checked( true, $settings['rightsidebar_show_testimonials'] ); ?> />
							<label for="rightsidebar_show_testimonials"><?php _e('Check to enable','bikashsoft'); ?></label>
							</td>
						</tr>

						<tr>
							<th colspan="2"><?php _e('To add Custom widget in Right Sidebar, Click','bikashsoft'); ?> <a href="<?php echo admin_url('/widgets.php')?>" target="_blank"><?php _e('here','bikashsoft'); ?></a></th>
						</tr>
						</table>

					</td>
				</tr>
				</tbody>
				<tbody>
					<tr>
						<td colspan="2"><?php _e('View All Text','bikashsoft'); ?>&nbsp;&nbsp;
						<input type="text" name="bikashsoft_options[view_all_text]" value="<?php if (isset($settings['view_all_text'])){ echo esc_attr($settings['view_all_text']); } ?>" />&nbsp;&nbsp;<em class="f13"><?php _e('Leave blank if you don\'t want to show View All Text','bikashsoft'); ?></em></td>
					</tr>
				</tbody>
				</table>
			</div>

			<!-- Social Settings-->
			<div id="options-group-5" class="group" style="display: none;">
			<h3><?php _e('Social links - Put your social url','bikashsoft'); ?></h3>
				<table class="form-table social-urls">
					<tr>
						<td colspan="2"><em class="f13"><?php _e('Put your social url below.. Leave blank if you don\'t want to show it.','bikashsoft'); ?></em></td>
					</tr>

					<tr>
						<th><label for="show_social_header"><?php _e('Disable Social icons in header?','bikashsoft'); ?></label></th>
						<td>
							<input type="checkbox" id="show_social_header" name="bikashsoft_options[show_social_header]" value="1" <?php checked( true, $settings['show_social_header'] ); ?> />
							<label for="show_social_header"><?php _e('Check to disable','bikashsoft'); ?></label>
						</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_facebook">Facebook</label></th>
					<td>
					<input id="bikashsoft_facebook" name="bikashsoft_options[bikashsoft_facebook]" type="text" value="<?php echo esc_url($settings['bikashsoft_facebook']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_twitter">Twitter</label></th>
					<td>
					<input id="bikashsoft_twitter" name="bikashsoft_options[bikashsoft_twitter]" type="text" value="<?php echo esc_url($settings['bikashsoft_twitter']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_gplus">Google plus</label></th>
					<td>
					<input id="bikashsoft_gplus" name="bikashsoft_options[bikashsoft_gplus]" type="text" value="<?php echo esc_url($settings['bikashsoft_gplus']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_youtube">Youtube</label></th>
					<td>
					<input id="bikashsoft_youtube" name="bikashsoft_options[bikashsoft_youtube]" type="text" value="<?php echo esc_url($settings['bikashsoft_youtube']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_pinterest">Pinterest</label></th>
					<td>
					<input id="bikashsoft_pinterest" name="bikashsoft_options[bikashsoft_pinterest]" type="text" value="<?php echo esc_url($settings['bikashsoft_pinterest']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_linkedin">Linkedin</label></th>
					<td>
					<input id="bikashsoft_linkedin" name="bikashsoft_options[bikashsoft_linkedin]" type="text" value="<?php echo esc_url($settings['bikashsoft_linkedin']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_flickr">Flickr</label></th>
					<td>
					<input id="bikashsoft_flickr" name="bikashsoft_options[bikashsoft_flickr]" type="text" value="<?php echo esc_url($settings['bikashsoft_flickr']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_vimeo">Vimeo</label></th>
					<td>
					<input id="bikashsoft_vimeo" name="bikashsoft_options[bikashsoft_vimeo]" type="text" value="<?php echo esc_url($settings['bikashsoft_vimeo']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_stumbleupon">Stumbleupon</label></th>
					<td>
					<input id="bikashsoft_stumbleupon" name="bikashsoft_options[bikashsoft_stumbleupon]" type="text" value="<?php echo esc_url($settings['bikashsoft_stumbleupon']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_instagram">Instagram</label></th>
					<td>
					<input id="bikashsoft_instagram" name="bikashsoft_options[bikashsoft_instagram]" type="text" value="<?php if(isset($settings['bikashsoft_instagram'])) { echo esc_url($settings['bikashsoft_instagram']); } ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_sound_cloud">Sound Cloud</label></th>
					<td>
					<input id="bikashsoft_sound_cloud" name="bikashsoft_options[bikashsoft_sound_cloud]" type="text" value="<?php if(isset($settings['bikashsoft_sound_cloud'])) { echo esc_url($settings['bikashsoft_sound_cloud']); } ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_skype">Skype</label></th>
					<td>
					<input id="bikashsoft_skype" name="bikashsoft_options[bikashsoft_skype]" type="text" value="<?php echo esc_attr($settings['bikashsoft_skype']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_skype">Tumblr</label></th>
					<td>
					<input id="bikashsoft_tumblr" name="bikashsoft_options[bikashsoft_tumblr]" type="text" value="<?php echo esc_attr($settings['bikashsoft_tumblr']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_skype">Myspace</label></th>
					<td>
					<input id="bikashsoft_myspace" name="bikashsoft_options[bikashsoft_myspace]" type="text" value="<?php echo esc_attr($settings['bikashsoft_myspace']); ?>" />
					</td>
					</tr>

					<tr><th scope="row"><label for="bikashsoft_rss">RSS</label></th>
					<td>
					<input id="bikashsoft_rss" name="bikashsoft_options[bikashsoft_rss]" type="text" value="<?php echo esc_url($settings['bikashsoft_rss']); ?>" />
					</td>
					</tr>
				</table>
			</div>

			<!-- Footer-contact -->
			<div id="options-group-6" class="group" style="display: none;">
			<h3><?php _e('Footer Contact','bikashsoft'); ?></h3>
				<table class="form-table">
					<tr><th scope="row"><label for="custom_css"><?php _e('Custom CSS','bikashsoft'); ?></label></th>
						<td>
						<textarea id="custom_css" name="bikashsoft_options[custom_css]" rows="8" cols="60"><?php if(isset($settings['custom_css'])){ echo esc_textarea($settings['custom_css']); } ?></textarea>
						<p class="f13"><em><?php _e('Put your custom CSS','bikashsoft'); ?></em></p>
						</td>
					</tr>
				</table>
			</div>

			<!-- About Accesspress Lite -->
			

			<div id="optionsframework-submit">
			<input type="submit" class="button-primary" value="<?php esc_attr_e('Save Options','bikashsoft'); ?>" />
			</div>

			</form>
		</div><!-- #optionsframework -->
		
	</div><!-- #optionsframework-metabox -->
	</div>

	<?php
}


function bikashsoft_validate_options( $input ) {
	global $bikashsoft_options, $bikashsoft_menu_alignments, $bikashsoft_postlist, $bikashsoft_slider, $bikashsoft_slider_show_pager, $bikashsoft_slider_show_controls, $bikashsoft_slider_mode, $bikashsoft_slider_auto, $bikashsoft_slider_caption;

	$settings = get_option( 'bikashsoft_options', $bikashsoft_options );
	
	// We strip all tags from the text field, to avoid vulnerablilties.
    $input['welcome_post'] = wp_filter_nohtml_kses( $input['welcome_post'] );
    $input['how_to_help_post'] = wp_filter_nohtml_kses( $input['how_to_help_post'] );
    $input['become_volunteer_post'] = wp_filter_nohtml_kses( $input['become_volunteer_post'] );
    $input['donate_us_post'] = wp_filter_nohtml_kses( $input['donate_us_post'] );
     $input['awareness_post'] = wp_filter_nohtml_kses( $input['awareness_post'] );
    $input['slider_options'] = wp_filter_nohtml_kses( $input['slider_options'] );
    $input['service_block1'] = wp_filter_nohtml_kses( $input['service_block1'] );
    $input['service_block2'] = wp_filter_nohtml_kses( $input['service_block2'] );
    $input['service_block3'] = wp_filter_nohtml_kses( $input['service_block3'] );
    $input['service_block1_icon'] = sanitize_text_field( $input['service_block1_icon'] );
    $input['service_block2_icon'] = sanitize_text_field( $input['service_block2_icon'] );
    $input['service_block3_icon'] = sanitize_text_field( $input['service_block3_icon'] );
    $input['project_cat'] = wp_filter_nohtml_kses( $input['project_cat'] );
    $input['testimonial_cat'] = wp_filter_nohtml_kses( $input['testimonial_cat'] );
    $input['portfolio_cat'] = wp_filter_nohtml_kses( $input['portfolio_cat'] );
    $input['slider_cat'] = wp_filter_nohtml_kses( $input['slider_cat'] );
    $input['menu_alignment'] = wp_filter_nohtml_kses( $input['menu_alignment'] );
    $input['slider_speed'] = sanitize_text_field( $input['slider_speed'] );
    $input['footer_copyright'] = sanitize_text_field( $input['footer_copyright'] );
    $input['service_block_readmore'] = sanitize_text_field( $input['service_block_readmore'] );
    $input['welcome_post_readmore'] = sanitize_text_field( $input['welcome_post_readmore'] );
	$input['how_to_help_post_readmore'] = sanitize_text_field( $input['how_to_help_post_readmore'] );
    $input['become_volunteer_post_readmore'] = sanitize_text_field( $input['become_volunteer_post_readmore'] );
    $input['donate_us_post_readmore'] = sanitize_text_field( $input['donate_us_post_readmore'] );
	$input['awareness_post_readmore'] = sanitize_text_field( $input['awareness_post_readmore'] );
    
    $input['bikashsoft_home_template'] = sanitize_text_field( $input['bikashsoft_home_template'] );
    $input['custom_css'] = wp_filter_nohtml_kses( $input['custom_css'] );
    $input['template_option_selected'] = sanitize_text_field( $input['template_option_selected'] );

    // We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['service_block1'];
	// We verify if the given value exists in the layouts array	
	
	$prev = $settings['show_slider'];
	if ( !array_key_exists( $input['show_slider'], $bikashsoft_slider ) )
		$input['show_slider'] = $prev;

	$prev = $settings['slider_show_pager'];
	if ( !array_key_exists( $input['slider_show_pager'], $bikashsoft_slider_show_pager ) )
		$input['slider_show_pager'] = $prev;

	$prev = $settings['slider_show_controls'];
	if ( !array_key_exists( $input['slider_show_controls'], $bikashsoft_slider_show_controls) )
		$input['slider_show_controls'] = $prev;

	$prev = $settings['slider_mode'];
	if ( !array_key_exists( $input['slider_mode'], $bikashsoft_slider_mode ) )
		$input['slider_mode'] = $prev;

	$prev = $settings['slider_auto'];
	if ( !array_key_exists( $input['slider_auto'], $bikashsoft_slider_auto ) )
		$input['slider_auto'] = $prev;

	$prev = $settings['slider_caption'];
	if ( !array_key_exists( $input['slider_caption'], $bikashsoft_slider_caption ) )
		$input['slider_caption'] = $prev;
        
    if (isset( $input['slider_speed'] ) ){
        if(intval($input['slider_speed'])){
            $input['slider_speed'] = absint($input['slider_speed']);
        }
    }

    if (!isset( $input['slider_pause'] ) || empty( $input['slider_pause'] ) ){
        $input['slider_pause']= "5000";
    }else{
    	if(intval($input['slider_pause'])){
            $input['slider_pause'] = absint($input['slider_pause']);
        }
    }

    if (!isset( $input['welcome_post_char'] ) || empty( $input['welcome_post_char'] ) ){
        $input['welcome_post_char']= "650";
    }else{
    	if(intval($input['welcome_post_char'])){
            $input['welcome_post_char'] = absint($input['welcome_post_char']);
        }
    }
	 if (!isset( $input['how_to_help_post_char'] ) || empty( $input['how_to_help_post_char'] ) ){
        $input['how_to_help_post_char']= "250";
    }else{
    	if(intval($input['how_to_help_post_char'])){
            $input['how_to_help_post_char'] = absint($input['how_to_help_post_char']);
        }
    }
	 if (!isset( $input['become_volunteer_post_char'] ) || empty( $input['become_volunteer_post_char'] ) ){
        $input['become_volunteer_post_char']= "650";
    }else{
    	if(intval($input['become_volunteer_post_char'])){
            $input['become_volunteer_post_char'] = absint($input['become_volunteer_post_char']);
        }
    }
	 if (!isset( $input['donate_us_post_char'] ) || empty( $input['donate_us_post_char'] ) ){
        $input['donate_us_post_char']= "650";
    }else{
    	if(intval($input['donate_us_post_char'])){
            $input['donate_us_post_char'] = absint($input['donate_us_post_char']);
        }
    }
if (!isset( $input['awareness_post_char'] ) || empty( $input['awareness_post_char'] ) ){
        $input['awareness_post_char']= "650";
    }else{
    	if(intval($input['awareness_post_char'])){
            $input['awareness_post_char'] = absint($input['awareness_post_char']);
        }
    }
    if (!isset( $input['show_project_number'] ) || empty( $input['show_project_number'] )){
       	$input['show_project_number']= "3";
    }else{
    	 if(intval($input['show_project_number'])){
            $input['show_project_number'] = absint($input['show_project_number']);
        }
    }


	// If the checkbox has not been checked, we void it
	

	if ( ! isset( $input['show_fontawesome'] ) )
		$input['show_fontawesome'] = null;
	$input['show_fontawesome'] = ( $input['show_fontawesome'] == 1 ? 1 : 0 );
    
    if ( ! isset( $input['big_icons'] ) )
		$input['big_icons'] = null;
	$input['big_icons'] = ( $input['big_icons'] == 1 ? 1 : 0 );

	if ( ! isset( $input['disable_project'] ) )
		$input['disable_project'] = null;
	$input['disable_project'] = ( $input['disable_project'] == 1 ? 1 : 0 );

	if ( ! isset( $input['leftsidebar_show_latest_projects'] ) )
		$input['leftsidebar_show_latest_projects'] = null;
	$input['leftsidebar_show_latest_projects'] = ( $input['leftsidebar_show_latest_projects'] == 1 ? 1 : 0 );

	if ( ! isset( $input['leftsidebar_show_testimonials'] ) )
		$input['leftsidebar_show_testimonials'] = null;
	$input['leftsidebar_show_testimonials'] = ( $input['leftsidebar_show_testimonials'] == 1 ? 1 : 0 );

	if ( ! isset( $input['leftsidebar_show_social_links'] ) )
		$input['leftsidebar_show_social_links'] = null;
	$input['leftsidebar_show_social_links'] = ( $input['leftsidebar_show_social_links'] == 1 ? 1 : 0 );

	if ( ! isset( $input['rightsidebar_show_latest_projects'] ) )
		$input['rightsidebar_show_latest_projects'] = null;
	$input['rightsidebar_show_latest_projects'] = ( $input['rightsidebar_show_latest_projects'] == 1 ? 1 : 0 );

	if ( ! isset( $input['rightsidebar_show_testimonials'] ) )
		$input['rightsidebar_show_testimonials'] = null;
	$input['rightsidebar_show_testimonials'] = ( $input['rightsidebar_show_testimonials'] == 1 ? 1 : 0 );
	
	if ( ! isset( $input['rightsidebar_show_social_links'] ) )
		$input['rightsidebar_show_social_links'] = null;
	$input['rightsidebar_show_social_links'] = ( $input['rightsidebar_show_social_links'] == 1 ? 1 : 0 );

	if ( ! isset( $input['show_social_header'] ) )
		$input['show_social_header'] = null;
	$input['show_social_header'] = ( $input['show_social_header'] == 1 ? 1 : 0 );


	if ( ! isset( $input['welcome_post_content'] ) )
		$input['welcome_post_content'] = null;
	$input['welcome_post_content'] = ( $input['welcome_post_content'] == 1 ? 1 : 0 );
	if ( ! isset( $input['how_to_help_post_content'] ) )
		$input['how_to_help_post_content'] = null;
	$input['how_to_help_post_content'] = ( $input['how_to_help_post_content'] == 1 ? 1 : 0 );
	if ( ! isset( $input['become_volunteer_post_content'] ) )
		$input['become_volunteer_post_content'] = null;
	$input['become_volunteer_post_content'] = ( $input['become_volunteer_post_content'] == 1 ? 1 : 0 );
	if ( ! isset( $input['donate_us_post_content'] ) )
		$input['donate_us_post_content'] = null;
	$input['donate_us_post_content'] = ( $input['donate_us_post_content'] == 1 ? 1 : 0 );

	if ( ! isset( $input['show_projectdate'] ) )
		$input['show_projectdate'] = null;
	$input['show_projectdate'] = ( $input['show_projectdate'] == 1 ? 1 : 0 );


	 // data validation for Social Icons
	if( isset( $input[ 'bikashsoft_facebook' ] ) ) {
		$input[ 'bikashsoft_facebook' ] = esc_url_raw( $input[ 'bikashsoft_facebook' ] );
	};
	if( isset( $input[ 'bikashsoft_twitter' ] ) ) {
		$input[ 'bikashsoft_twitter' ] = esc_url_raw( $input[ 'bikashsoft_twitter' ] );
	};
	if( isset( $input[ 'bikashsoft_gplus' ] ) ) {
		$input[ 'bikashsoft_gplus' ] = esc_url_raw( $input[ 'bikashsoft_gplus' ] );
	};
	if( isset( $input[ 'bikashsoft_youtube' ] ) ) {
		$input[ 'bikashsoft_youtube' ] = esc_url_raw( $input[ 'bikashsoft_youtube' ] );
	};
	if( isset( $input[ 'bikashsoft_pinterest' ] ) ) {
		$input[ 'bikashsoft_pinterest' ] = esc_url_raw( $input[ 'bikashsoft_pinterest' ] );
	};
	if( isset( $input[ 'bikashsoft_linkedin' ] ) ) {
		$input[ 'bikashsoft_linkedin' ] = esc_url_raw( $input[ 'bikashsoft_linkedin' ] );
	};
	if( isset( $input[ 'bikashsoft_flickr' ] ) ) {
		$input[ 'bikashsoft_flickr' ] = esc_url_raw( $input[ 'bikashsoft_flickr' ] );
	};
	if( isset( $input[ 'bikashsoft_vimeo' ] ) ) {
		$input[ 'bikashsoft_vimeo' ] = esc_url_raw( $input[ 'bikashsoft_vimeo' ] );
	};
	if( isset( $input[ 'bikashsoft_stumbleupon' ] ) ) {
		$input[ 'bikashsoft_stumbleupon' ] = esc_url_raw( $input[ 'bikashsoft_stumbleupon' ] );
	};
	if( isset( $input[ 'bikashsoft_instagram' ] ) ) {
		$input[ 'bikashsoft_instagram' ] = esc_url_raw( $input[ 'bikashsoft_instagram' ] );
	};
	if( isset( $input[ 'bikashsoft_sound_cloud' ] ) ) {
		$input[ 'bikashsoft_sound_cloud' ] = esc_url_raw( $input[ 'bikashsoft_sound_cloud' ] );
	};
	if( isset( $input[ 'bikashsoft_skype' ] ) ) {
		$input[ 'bikashsoft_skype' ] = esc_attr( $input[ 'bikashsoft_skype' ] );
	};
	if( isset( $input[ 'bikashsoft_tumblr' ] ) ) {
		$input[ 'bikashsoft_tumblr' ] = esc_url_raw( $input[ 'bikashsoft_tumblr' ] );
	};
	if( isset( $input[ 'bikashsoft_myspace' ] ) ) {
		$input[ 'bikashsoft_myspace' ] = esc_url_raw( $input[ 'bikashsoft_myspace' ] );
	};
	if( isset( $input[ 'bikashsoft_rss' ] ) ) {
		$input[ 'bikashsoft_rss' ] = esc_url_raw( $input[ 'bikashsoft_rss' ] );
	};
	

    if( isset( $input[ 'header_text' ] ) ) {
	   $input[ 'header_text' ] = wp_kses_post( $input[ 'header_text' ] );
    }
    
 
	return $input;
}

endif;  // EndIf is_admin()
?>