<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package bikashsoft charity Theme
 */
?>

<?php 
global $post, $bikashsoft_options;
$bikashsoft_settings = get_option( 'bikashsoft_options', $bikashsoft_options );
$project_category = $bikashsoft_settings['project_cat'];
$show_projects = $bikashsoft_settings['rightsidebar_show_latest_projects'];
$testimonial_category = $bikashsoft_settings['testimonial_cat'];
$show_testimonials = $bikashsoft_settings['rightsidebar_show_testimonials'];
$post_class = "";

if(!empty($post)){
	if(is_front_page()){
		$post_id = get_option('page_on_front');
	}else{
		$post_id = $post->ID;
	}
	$post_class = get_post_meta( $post_id, 'bikashsoft_sidebar_layout', true );
}

if($post_class=='right-sidebar' || $post_class=='both-sidebar' || empty($post_class) || is_archive()){
?><div class="col-md-4 col-sm-4">
	<div id="secondary-right" class="widget-area right-sidebar sidebar">
		<?php
			if($show_projects==1) {
				if(!empty($project_category)){
				$loop = new WP_Query( array(
	                'cat' => $project_category,
	                'posts_per_page' => 3,
	            )); ?>
	        <aside id="latest-projects" class="clearfix">
	        <h3 class="widget-title"><?php echo get_cat_name($project_category); ?><?php if(!empty($bikashsoft_settings['view_all_text'])){ ?>
	        <a class="all-projects pull-right sidebtn" href="<?php echo get_category_link( esc_attr($project_category) ) ?>"><?php echo esc_html($bikashsoft_settings['view_all_text']); ?></a>
	        <?php } ?></h3> 

	        <?php while ($loop->have_posts()) : $loop->the_post(); ?>

	        	<div class="project-list clearfix">
	        		
	        		<figure class="project-thumbnail">
						<a href="<?php the_permalink(); ?>">
						  <?php
              if(has_post_thumbnail() ) {
                the_post_thumbnail('sidebar-testimonial');
            
                ?>
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/thumbnail.jpg" alt="<?php the_title(); ?>">
						<?php } ?>
						
						
						</a>
					</figure>	

					<div class="project-detail">
		        		<h4 class="project-title">
		        			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		        		</h4>
<div class="project-date">
							<span class="project-date-day"><?php echo get_the_date('j'); ?></span>
							<span class="project-date-month"><?php echo get_the_date('M'); ?>,</span>
                            <span class="project-date-year"><?php echo get_the_date('Y'); ?></span>
						</div>
		        		<div class="project-excerpt">
		        			<?php echo bikashsoft_excerpt( get_the_content() , 50 ) ?> 
		        		</div>
	        		</div>
	        	</div>
	        <?php endwhile; ?>
	       
	        <?php wp_reset_postdata(); ?>
	        </aside>
	        <?php
	        } 
	        }?>

        <?php wp_reset_query(); ?>

	    <?php if($show_testimonials == 1){ ?>
		<aside class="widget testimonial-sidebar clearfix">
			<?php
			
			if(!empty($testimonial_category)) { ?>
			<h3 class="widget-title"><?php echo get_cat_name(esc_attr($testimonial_category)); ?><a class="all-testimonial pull-right sidebtn" href="<?php echo get_category_link( esc_attr($testimonial_category) ) ?>"><?php echo esc_html($bikashsoft_settings['view_all_text']); ?></a>
            <?php } ?></h3>
				
	        <?php    
	        		$loop = new WP_Query( array(
	                'cat' => $testimonial_category,
	                'posts_per_page' => 3,
	            )); ?>
	        <div class="testimonial-wrap">
		        <?php while ($loop->have_posts()) : $loop->the_post(); ?>

			        <div class="testimonial-list">
			        	<div class="testimonial-thumbnail">
			        		<?php 
                            if(has_post_thumbnail()){
                            the_post_thumbnail('thumbnail'); 
                            }else{ ?>
                                <img src="<?php echo get_template_directory_uri(); ?>/images/testimonial-dummy.jpg" alt="no-image"/>
                            <?php }?>
		        		</div>
                        <?php $home_template = $bikashsoft_settings['bikashsoft_home_template']; 
                            if($home_template == 'template_two' || $home_template == '') { ?>
        					<div class="testimoinal-client-name"><?php the_title(); ?></div>
                            <?php } ?>
			        	<div class="testimonial-excerpt">
			        		<?php echo bikashsoft_excerpt( get_the_content() , 90 ) ?>
			        	</div>
			        	<div class="clearfix"></div>
                       
					</div>
			<?php endwhile; ?>
	        </div>
            <?php if(!empty($bikashsoft_settings['view_all_text'])){ ?>
            
            
	        <?php wp_reset_postdata(); 
			} ?>
			</aside>
		<?php } ?>
		

		<?php if ( is_active_sidebar( 'right-sidebar' ) ) : ?>
			<?php dynamic_sidebar( 'right-sidebar' ); ?>
		<?php endif; ?>
	</div><!-- #secondary -->
    </div>
<?php } ?>
